<?php

$cnx = new PDO("mysql:host=localhost:3306;dbname=grupohqs_EVENTOS","grupohqs_root", "mabeluis2602");

$res=$cnx->query("SELECT CONCAT(trim(P.APELLIDOS), ' ', trim(P.NOMBRES)) as NOMBRES, K.Asignacion as Asignacion, K.Semana, concat('+593',right(P.FonoCelular,9)) as CELULAR FROM `ASIGNACION` T INNER JOIN PUBLICADORES P ON T.CodHermano = P.CODIGO INNER JOIN PRIVILEGIOS K ON K.Id = T.IdPrivilegio WHERE T.Fecha >= CURDATE() AND T.fECHA < DATE_ADD(CURDATE(), INTERVAL 1 DAY) AND K.Enviar = 1 AND LENGTH(P.FonoCelular) > 9 and P.CodCongregacion = 557 ORDER BY T.Fecha, K.Orden");


foreach ($res as $row){

$privilegio = utf8_encode($row['Asignacion']);
$message='Esperamos contar con su ayuda.';
$name=$row['NOMBRES'];
$semana=$row['Semana'];
$phone=$row['CELULAR'];


$data = [
    'phone' => $phone, // Receivers phone
    'body' => 'Saludos, Ud. tiene asignado: '.$privilegio.'.  Semana: '.$semana, // Message
];
$json = json_encode($data); // Encode data to JSON
// URL for request POST /message
$url = 'https://eu105.chat-api.com/instance103916/sendMessage?token=rj2of5j94cdi5dg1';
// Make a POST request
$options = stream_context_create(['http' => [
        'method'  => 'POST',
        'header'  => 'Content-type: application/json',
        'content' => $json
    ]
]);
// Send a request
$result = file_get_contents($url, false, $options);

}
?>